Subject: [Isis-wg] An interesting link-state project on sourceforge ...

From: prz <[email-masked]>
Date: Fri, 09 Jul 2010 00:32:05 +0200

Hey everyone, Tony P. mailing,
people may remember me from the ISIS
and OSPF times when I was tad more active than now.

I would like to mention that I just released
on sourceforge a link-state related package.
It's something I did over couple
of years on a DoD grant and was dormant
for 2-3 years since I was busy with other stuff.
It's basically a real-time or post-mortem
analysis tool for ISIS link-state packet traces.
The whole thing is
LGPL so strictly speaking this is not a
product blurp or anything commerical
albeit of course
it's blatantly self-serving since I want
people to look @ it and give me feedback
and I'm looking for volunteers to help me
working on it possibly as well, be it
implementing features, improving packaging
or lots other stuff.

If you want more info, look under

https://sourceforge.net/projects/tiet/

please. There are job descriptions, mailing
lists, forums & other trappings of an open
source project there. And yes, of course
a .tar.gz to go with it. RPMs will be coming
up.

For the closeted OSPF afficionados on this list,
it's supporting ISIS right now only but is
architectured in a way that it  abstract most
of the link-state packet formatting so
plugging OSPF in has been planned from day
one so an OSPF & C++ expert may find
his calling there.  Right now, it only
supports The Better Protocol (TM)
that this list is dedicated to ;-)

     thanks

     -- tony